Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.view
Interface ViewFactory

All Known Implementing Classes:
  DefaultViewFactory

public interface ViewFactory

A factory to create a View for a given Element. This is intented to enable customization according e.g. to the given content-type (LaTeX, PsTricks, Eepic,...) when views differ (for example, PsTricks allows colour-filled polygon whereas LaTeX doesn't).

Since:
  jPicEdt 1.3.2
Version:
  $Id: ViewFactory.java,v 1.5.2.1 2007/09/02 11:56:29 reynal Exp $
Author:
  Sylvain Reynal

Method Summary
`View` | `createView(Element element)`

Method Detail

### createView

    public View createView(Element element)

  Returns:
    a View for the given Element

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org